Packages - Packaging Request #2874

Housekeeping # 3018 (open): Various uninstallable packages should be fixed, dropped, or blacklisted.

[python2-*]: multiple packages dropped from arch

2020-08-24 03:28 AM - bill-auger

Status: open % Done: 14%
Priority: broken

Assignee:

Category:

Description

due to calibre v5 dropping support for python2, several python2 dependencies of calibre v4 are planned to be dropped from arch -
this is the calibre4 python2-* dependency chain:

first-order:

python2-apsw
python2-beautifulsoup4
python2-cssselect
python2-css-parser
python2-dateutil
trytond
python2-dbus
oinstall-injector
python2-dnspython
python2-feedparser
python2-html2text
python2-html5-parser
python2-1xml
latorio trytond
python2-markdown
python2-mechanize
python2-msgpack
python2-netifaces
python2-psutil
python2-pychm
python2-pygments
python2-pygt5
python2-regex
python2-ipaddress

second order:

python2-caldav
python2-relatorio
python2-cachecontrol
python2-prompt_toolkitl
python2-cryptography
python2-pip

third-order:

calibre3
calibre3
calibre3
calibre3
calibre3

calibre3

calibre3
calibre3
calibre3
calibre3
calibre3

calibre3
calibre3
calibre3
calibre3
calibre3
chm2pdf

calibre3
calibre3
calibre3

gnuhealth python2-caldav python2-freezegun syncthing-gtk tryton
flowblade gtg ibus idjc mugshot netatalk python2-efl xboxdrv zer
mailman

rawdog

mailpile ocrodjvu python2-caldav python2-html5-parser python2-re
parabolaweb-utils

python2-cachecontrol python2-tarantool salt zeronet-git

python2-prompt_toolkitl python2-sphinx python2-weberror

python2-cryptography python2-pip

gnuhealth

trytond
python2-
ipython2

pip

mailpile python2-pyopenssl tahoe-lafs
gnuhealth python2-reportlab

python2-pyopenssl : python2-ndg-httpsclient python2-service-identity

fourth order:

python2-service-identity

sslstrip tahoe-lafs

Subtasks:
Bug # 2704: [h-client] 'pygtk' dependency error

Bug # 2915: libusb update breaks calibre3

Bug # 2934: [printrun] missing dependency python2-pyglet

Bug # 3042: [calibre3]: unable to satisfy dependency 'python2-*' and 'libusbx'.

Bug # 3170: [castle-combat]: unable to satisfy dependency 'python2-twisted' required by...
Housekeeping # 3237: Remove pcr/python2* and libre/python2*

Bug # 3418: [h-client]: fails to install for Unresolved dependencies

fixed

confirmed
confirmed
confirmed
confirmed
open

confirmed

Related issues:
Related to Packages - Freedom Issue #2791: [spyder] depends on webengine confirmed

History

#1 - 2020-09-26 02:03 AM - bill-auger

<eschwartz> warning: | just released calibre 5.0 to the arch repos. It's python3-only, so | dropped some old modules | don't need anymore.

<eschwartz> You do need them, for calibre 3.x sans webengine -- so before the next parabola sync, you need to add them yourself

<eschwartz> you can see the PKGBUILDs | modified/dropped here: https:/git.archlinux.org/svntogit/community.qgit/log/?qt=grep&g=python2

<eschwartz> basically you need python2-{apsw,css-parser,htmli2text,html5-parser,markdown,mechanize,netifaces,pychm,regex,unrardll} -

possibly not pychm
<eschwartz> you'll need to also add some pyqt stuff whenever arojas drops those from [extra]

#2 - 2020-10-24 01:40 PM - freemor
- Related to Bug #2915: libusb update breaks calibre3 added

#3 - 2020-10-25 08:33 PM - bill-auger

the dependency chain in the OP was based on the deps for calibre v4 - for calibre3 these 8 are unavailable:

$ pkgs=$ (pactree ${OPTS} --sync calibre3) # where $OPTS is a custom --dbpath= --config=
# searching all repos
$ for pkg in $pkgs ; do pacman -Ssqg S$pkg | grep "$pkg$ > /dev/null || echo "n/a: $pkg" ; done

n/a: python2-apsw

n/a: python2-css-parser
n/a: python2-html2text
n/a: python2-html5-parser
n/a: python2-mechanize
n/a: python2-netifaces
n/a: python2-pyqt5

n/a: python2-regex

re: python2-unrardll (mentioned by eli) - that is the original reason why calibre is on the blacklist (no unrar)

#4 - 2020-12-04 08:24 AM - bill-auger
- Related to deleted (Bug #2915: libusb update breaks calibre3)

#5 - 2021-06-04 01:02 PM - bill-auger
- Related to Bug #3042: [calibre3]: unable to satisfy dependency python2-*' and 'libusbx’. added

#6 - 2022-04-30 03:15 AM - bill-auger
- Parent task set to #3018

#7 - 2022-09-28 04:20 PM - bill-auger

now that arch has dropped python2, this is the final list of affected parabola packages

$ sudo parabola-dependents -v python2

updating database ....

package: 'python2' not found - creating dummy package
dummy package 'python2' created

querying database ....

compiling results for (143) dependents ....

searching abslibre ....
https://git.archlinux.org/svntogit/community.git/log/?qt=grep&q=python2

direct and transitive parabola dependents:

[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
[python2]
invoice-stock
[python2]
pcr/apenwarr—redo
libre/asciidoc
libre/b43-tools

pcr/boswars

pcr/cherokee

pcr/cwiid

pcr/darcsver
pcr/django-social-auth
pcr/dratmenu

pcr/ganglia

pcr/gtg

pcr/h-client

pcr/idjc

pcr/ipycli-git
pcr/kamailio-python-modules
libre/kodi-bin
libre/kodi-gbm

kodi-gbm <- libre/kodi
kodi-gbm <- kodi <- libre/kodi-dev

kodi-gbm <- kodi <- pcr/kodi-standalone-service

kodi-gbm <- kodi <- libre/kodi-wayland
kodi-gbm <- kodi <- libre/kodi-x11
pcr/mimms

pcr/mkbootimg
pcr/mozilla-addon-sdk
pcr/mozilla-devscripts
pcr/netatalk

pcr/nevow

nevow <- pcr/tahoe-lafs
pcr/ocrodijvu

pcr/openchange

openchange <- pcr/evolution-mapi
libre/parabolaweb-utils
pcr/phantomjs

pcr/pycryptopp

pcr/pysheng
pcr/python2-arxiv2bib
pcr/python2-async
pcr/python2-authres
libre/python2-bencode
pcr/python2-bibtexparser
pcr/python2-caldav
python2-caldav <- pcr/gnuhealth
pcr/python2-carrot
libre/python2-djangol.8

python2-djangol.8 <- libre/python2-django-countries
python2-djangol.8 <- libre/python2-django-jinja
python2-djangol.8 <- pcr/python2-django-tagging
pcr/python2-djvulibre

pcr/python2-dukpy

python2-dukpy <- libre/calibre3
pcr/python2-filetype
pcr/python2-flask-lesscss

pcr/python2-habanero
pcr/python2-interruptingcow
pcr/python2-isbnlib

libre/python2-jsmin
pcr/python2-liblarch
libre/python2-markdown2

libre/python2-markupsafe0

python2-markupsafe0 <- pcr/mailpile

pcr/python2-paste-deploy

python2-paste-deploy <- pcr/python2-paste-script
python2-paste-deploy <- python2-paste-script <- pcr/python2-pylons
pcr/python2-pefile

libre/python2-pgpdump

pcr/python2-pkgtools

pcr/python2-polib

trytond <- trytond-account <- pcr/trytond-account-invoice
trytond <- trytond-account <- trytond-account-invoice <- pcr/trytond-account-—

python2-polib <- pcr/trytond

python2-polib <- trytond <- pcr/trytond-account
python2-polib <-

python2-polib <-

python2-polib <-

trytond <- trytond-account <- trytond-account-invoice <- trytond-account-invo
ice-stock <- pcr/trytond-purchase
[python2] <- python2-polib <- trytond <- trytond-account <- trytond-account-invoice <- trytond-account-invo
ice-stock <- trytond-purchase <- pcr/trytond-stock-supply
[python2] <- python2-polib <- trytond <- trytond-account <- pcr/trytond-account-product
[python2] <- python2-polib <- trytond <- pcr/trytond-calendar
[python2] <- python2-polib <- trytond <- pcr/trytond-company
[python2] <- python2-polib <- trytond <- trytond-company <- pcr/trytond-stock
[python2] <- python2-polib <- trytond <- trytond-company <- trytond-stock <- pcr/trytond-stock-lot
[python2] <- python2-polib <- trytond <- pcr/trytond-country
[python2] <- python2-polib <- trytond <- trytond-country <- pcr/trytond-party
[python2] <- python2-polib <- trytond <- pcr/trytond-currency
[python2] <- python2-polib <- trytond <- pcr/trytond-product
[python2] <- python2-polib <- trytond <- pcr/trytond-webdav
[python2] <- pcr/python2-potr
[python2] <- libre/python2-psycopg2.6
[python2] <- pcr/python2-pycrypto
[python2] <- pcr/python2-pyliblzma
[python2] <- pcr/python2-pyparser
[python2] <- pcr/python2-pyutil
[python2] <- python2-pyutil <- pcr/python2-zbase32
[python2] <- python2-pyutil <- pcr/zfec
[python2] <- pcr/python2-pywebdav
[python2] <- pcr/python2-pywebdav3
[python2] <- pcr/python2-grtools
[python2] <- libre/python2-reportlab
[python2] <- pcr/python2-rospkg
[python2] <- pcr/python2-slugify
[python2] <- pcr/python2-sql
[python2] <- pcr/python2-stdnum
[python2] <- pcr/python2-vcstools
[python2] <- pcr/python2-weberror
[python2] <- pcr/python2-webhelpers
[python2] <- pcr/python2-wsgiref
[python2] <- pcr/pyzenity
[python2] <- pcr/rencode
[python2] <- pcr/textext
[python2] <- pcr/timekpr
[python2] <- pcr/youtube-dl-gui
[python2] <- pcr/zeronet-git

parabola build dependents:
pcr/beecrypt
pcr/triceratops—-1v2
pcr/kodi-standalone-service

#8 - 2022-09-28 11:39 PM - gap

In #3237 | made a table of packages which can be purged without controversy.

As for almost all of these other packages, I'd also recommend purging.

Python 2 went EOL about 2.75 years ago, so the maintainers of these packages have been given a more than generous time window to port them to
Python 3, rewrite them in another programming language, or otherwise remove the dependence on Python 2.

There is no reason to expect those maintainers to suddenly start working on them now.

If users find that a package they use is gone or broken due to the removal of Python 2, they will surely report the issue and we can rescue that
package if the maintenance burden vs desirability tradeoff is in the favour of doing so.

Nothing in that list really jumps out to me as desireable other than the few packages in the libre repo we need to keep in order to remain comaptible
with Arch.

For AsciiDoc and Kodi, | think Python 2 is just a scripting interface, so they should be okay to keep with minimal modifications.

For purged packages written in an unmaintained scripting language, | say good riddance.

#9 - 2022-09-29 01:37 PM - bill-auger

the maintainers of these packages have been given a more than generous time

it is a problem for some libre replacements such as calibre -
the calibre devs did migrate it to python3; but they also added
webengine; so the python3 version of calibre is useless to
parabola - it is a quite a popular program; but it probably just
needs to go away now
https://labs.parabola.nu/issues/3237

#10 - 2023-02-19 07:28 AM - bill-auger
- Related to Freedom Issue #2791: [spyder] depends on webengine added
